webdevqa.jp.net

Android NはIDEがJava 1.8以降で動作することを必要としますか?

私のXMLレイアウトはこのエラーメッセージでレンダリングされません。私はすでにJava 8を使っています。

enter image description here

Gradleの最新のビルドツールも使用しています。

Android {
    compileSdkVersion 'Android-N'
    buildToolsVersion 24.0.0 rc1
    ...
}

XMLエラー -

enter image description here

117
mjosh

私の場合はJDK_HOMEJava_HOMEC:\Program Files\Java\jdk1.8.0_60環境変数を設定します。

enter image description here

Help > AboutでJavaのバージョンを確認してください。設定したJREのバージョンが表示されます。

enter image description here

これで、Nでレイアウトをプレビューできます。

63
mjosh

私はあなたが記述したのと同じエラーをOS Xで得ました。私はこれがあなたの問題を解決しないかもしれないことを知っています。そこに。ファイル/Applications/Android\ Studio.app/Contents/Info.plistを編集して、1.6バージョン(私の場合)を削除します。1.6+、1.7 +、または1.8のいずれか、好きな方を配置できます。私のものはこのようになった

...
<key>JVMVersion</key>
<string>1.7+</string>
...

Javaのバージョン1.8_60から1.8_75( IDEA-146691 )では、ドラッグアンドドロップに互換性がないことに注意してください。バージョンを正常に変更すると、IDEによって報告されます。

非ターミナルユーザーの場合

  1. あなたのAndroid Studio.appファイルを見つけてください。ドックにある場合は、それを右クリックしてOptions > Show in Finderを選択できます。
  2. それを右クリックしてShow package contentを選択してください。
  3. 上記のファイル(Contents/Info.plist)に移動します。
  4. お気に入りのテキストエディタでファイルを編集してください。
187
LaloLoop

プレビューウィンドウのAndroidアイコンの横にある文字Nをクリックして、APIレベル23以下を選択します。それで解決するはずです。

First row of icons in the rpeview window

147
Ian

この問題を抱えているMacユーザー(私はOS X 10.11.5とAndroid Studio 2.1.2を実行しています)では、これを解決する方法を以下に示します。

現時点では、Mac 6のAndroid StudioはJava 6で実行されています(必ずしもアプリケーションのJDKバージョンと同じではありません)。Java6はJava 7および8よりもフォントレンダリングが優れているためです。

まず、 JDK 8がインストールされている があることを確認してください。

その後、以下のコマンドを実行します。

$ export STUDIO_JDK=/Library/Java/JavaVirtualMachines/jdk1.8.0_91.jdk
$ open /Applications/Android\ Studio.app/

91jdk1.8.0_91.jdkを別のバージョンに変更する必要があるかもしれません。使用しているJDKのバージョンを確認できます。

$ ls /Library/Java/JavaVirtualMachines/

残念ながら、この方法では端末からアプリを開く必要がありますが、いつでもスクリプトを作成できます。

詳細

編集:端末から開かないのであれば:

  1. 内容を指定してAppleScriptを作成します。do Shell script "export STUDIO_JDK=/Library/Java/JavaVirtualMachines/jdk1.8.0_91.jdk; open /Applications/Android\\ Studio.app/"
  2. ファイル>保存ファイル形式アプリケーションを選択します。どこかに保存してください。
  3. アイコンを変更したい場合は、 こちらを参照
  4. 必要に応じてアプリをランチパッドにドラッグします。
27
wumbo

私は同じ問題に出会った。

私はjdk1.6、jdk1.7、jdk1.8をインストールし、あなたがしたこととしてスタジオをデプロイしました。

私の解決策はjdk1.6とjdk1.7をアンインストールし、jdk1.8だけを残すことです。

Sudo rm -rf ${path to jdk1.6}
Sudo rm -rf ${path to jdk1.7}

それで全部です。

5
youngwind

私はUbuntu 14.04を使用していますが、NDKを使用していないことを除けば、同様のエラーに直面していました。私の解決策は、プロジェクト定義でJava 8を設定した後、もうAndroid Studioを再起動しないことでした。

システムのJavaバージョンをコンソールの "Java -version"で確認すると、出力は次のようになります。

Java version "1.8.0_91"
2

Ubunutuでも同じ問題がありました。問題は、Java8でIDEを実行していなかったことです。

私はOSのデフォルトのJavaプログラムをアップデートすることで修正しました。

Sudo update-alternatives --config Java

そして適切なJava8パスを選択します。

2
danny11

このようにして解決しました(AS + MAC OX El Capitan)

  1. SDKツールの更新> Android SDKプラットフォームツール
  2. [ヘルプ]> [カスタムプロパティの編集]> [ダイアログを表示]([はい]を押す)の順に選択して、

    JVMVersion=1.8 
    

その後、Android Studioを完全に閉じてプロジェクトをリロードします。

1
Din Islam Milon

ドキュメントから: https://developer.Android.com/studio/intro/studio-config.html#file_location

STUDIO_JDK:Studioを実行するJDKを設定します

私はSTUDIO_JDK変数を使用し、他のデフォルトのJavaホーム変数だけを使用することを好みます。

1
Nublodeveloper

私は「Android NはIDEがJava 1.8以降で動作することを要求する」という問題に直面しました。 C:\Program Files\Java\jdk1.8.0_92でプロジェクトのJDKとしてFile > Project Structureを設定しているにもかかわらず、エラーが現れ続けました。

私の環境変数のJava_HOMEをC:\Program Files\Java\jdk1.7.0_67からC:\Program Files\Java\jdk1.8.0_92に更新することで解決しました。それをしてAndroid Studioを再起動すると、デザインモードが利用可能になりました。

OS:Windows 10

Android Studio:2.1.2

1
Maksim Dmitriev

私の問題は、Android Nが「部分的にインストールされた」ということでした。

私の解決策は - 環境設定/外観と動作/システム設定/ Android SDKに行き、ステータスをチェックすることでした。 「部分的にインストールされている」場合は、アンインストールしてから再インストールする必要があります。 (チェックボックスをオフにして[適用]をクリックすると、アンインストールされます。その後、チェックボックスをオンにして再度インストールします)。 (23のような)より低いバージョンに行くなら、あなたはbuild.gradleの中でbuildToolsVersion変数を "23.0.0"に変更しなければなりません。

0
tiborK

私は同じ問題に直面していました。コンパイル済みのSDKバージョン用のXMLレイアウトをレンダリングしていることを確認してください(それ以上ではいけません)。 Targeted SDKバージョン23を使用してコードをコンパイルしていて、SDKバージョン24でXMLをレンダリングしようとしている場合、これに直面することになります。

0
Muhamed Riyas M

Mac OSでSTUDIO_JDKを設定するときに覚えておくべきことがいくつかあります。

  • デフォルトでは、AppleのJava 1.6がAndroid Studioの起動に使用されています。
  • sTUDIO_JDKがOracleのJavaに設定されている場合は、Android Studioによって実行されます。

この2つの違いは、AppleのJava IMOがIDEでより優れた優れたフォントアンチエイリアシングを提供することです。

フォントのアンチエイリアスに関して、返答 ここ はAndroid Studioの バグ を参照しています。チケットはすでに締め切られていますが、それでもレンダリングはApple JavaとOracle SDKで異なります(私はv1.8.0_102を持っています)。そして前者はまだ最後よりも良い認識を持っています。

0
Mykola

私は最近同じ問題に直面していました。 APIプレビューレベルを23以下に変更してみてください。それは私のために働いた。

0
user5464136